<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />

    <link rel="stylesheet" href="./style.css" />
    <!-- Bootstrap 4.6 linking -->
    <link
      rel="stylesheet"
      href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css"
      integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N"
      crossorigin="anonymous"
    />

    <title>Bootstrap Introduction and Simple Styles</title>
  </head>
  <body class="bg-secondary">
    <div class="fixed-top bg-primary text-center p-1">
      <p>Fixed Top - Navbar</p>
    </div>
    <div class="mt-1 text-center mt-5 mb-4">
      <div class="d-inline-block w-25 mt-4 bg-white rounded-circle">
        <img
          class="img-fluid"
          src="https://www.drupal.org/files/project-images/bootstrap-stack.png"
          alt=""
        />
      </div>
    </div>

    <!-- Bootstrap Utility Classes -->
    <div>
      <!-- Bootstrap Color Classes -->
      <div>
        <table id="table" class="table table-dark table-bordered text-center">
          <thead>
            <tr>
              <th>Text</th>
              <th>Background</th>
            </tr>
          </thead>
          <tbody>
            <tr>
              <td><a href="#" class="text-primary">Primary Link</a></td>
              <td class="bg-primary">Primary</td>
            </tr>
            <tr>
              <td><a href="#" class="text-secondary">Secondary Link</a></td>
              <td class="bg-secondary">Secondary</td>
            </tr>
            <tr>
              <td><a href="#" class="text-success">Success Link</a></td>
              <td class="bg-success">Success</td>
            </tr>
            <tr>
              <td><a href="#" class="text-danger">Danger Link</a></td>
              <td class="bg-danger">Danger</td>
            </tr>
            <tr>
              <td><a href="#" class="text-warning">Warning Link</a></td>
              <td class="bg-warning">Warning</td>
            </tr>
            <tr>
              <td><a href="#" class="text-info">Info Link</a></td>
              <td class="bg-info">Info</td>
            </tr>
            <tr>
              <td><a href="#" class="text-light">Light Link</a></td>
              <td class="bg-light text-dark">Light</td>
            </tr>
            <tr>
              <td class="bg-light">
                <a href="#" class="text-dark">Dark Link</a>
              </td>
              <td class="bg-dark">Dark</td>
            </tr>
            <tr>
              <td><a href="#" class="text-muted">Muted Link</a></td>
              <td class="bg-muted">Muted</td>
            </tr>
            <tr>
              <td><a href="#" class="text-white">White Link</a></td>
              <td class="bg-white text-dark">White</td>
            </tr>
          </tbody>
        </table>
      </div>
      <!-- End of Bootstrap color classes -->

      <!-- Bootstrap text alignment -->
      <h2 class="text-center">Bootstrap text classes</h2>
      <table class="table table-dark text-light table-bordered text-center">
        <thead>
          <tr>
            <th class="">Alignment</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="text-left">Left</td>
          </tr>
          <tr>
            <td class="text-center">Center</td>
          </tr>
          <tr>
            <td class="text-right">Right</td>
          </tr>
          <tr>
            <td class="text-sm-center text-lg-right">Small Center</td>
          </tr>
          <tr>
            <td class="text-right text-md-left">Others Right / Medium left</td>
          </tr>
          <tr>
            <td class="text-lg-right">Large Right</td>
          </tr>
          <tr>
            <td class="text-xl-right">Extra Large Right</td>
          </tr>
        </tbody>
      </table>
      <!-- End of Bootstrap Text Alignment Classes Table -->

      <!-- Bootstrap Other Text Classes Table -->
      <table class="table table-dark table-bordered text-light text-center">
        <thead>
          <tr>
            <th>Text Transform</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td class="font-weight-bold text-lowercase">LOWERCASE BOLD TEXT</td>
          </tr>
          <tr>
            <td class="font-weight-normal text-uppercase">
              uppercase normal text
            </td>
          </tr>
          <tr>
            <td class="font-weight-light text-capitalize">capitalized text</td>
          </tr>
          <tr>
            <td>
              <a class="text-decoration-none font-italic" href=""
                >Non-underlined Italic Link</a
              >
            </td>
          </tr>
        </tbody>
      </table>

      <!-- End of Bootstrap Text Transform -->

      <!-- Bootstrap Border and Sizing -->
      <h2 class="text-center">Bootstrap Border and Sizing Classes</h2>
      <table
        class="table table-dark table-bordered text-light text-center mb-4"
      >
        <thead>
          <tr>
            <th>Border</th>
          </tr>
        </thead>
        <tbody>
          <tr>
            <td>
              <div class="bg-info border border-light rounded w-50">
                Rounded
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="bg-secondary border rounded-circle rounded w-50">
                Rounded Circle
              </div>
            </td>
          </tr>
          <tr>
            <td>
              <div class="bg-warning border-warning rounded-pill rounded w-50">
                Rounded Pill
              </div>
            </td>
          </tr>
        </tbody>
      </table>
      <!-- END OF BOOTSTRAP BORDER AND SIZING CLASS -->

      <!-- Start of Footer -->
      <div class="fixed-bottom bg-primary text-light">
        Fixed Bottom - footer
      </div>
    </div>

    <!-- Bootstrap 4.6 script -->
    <script
      src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js"
      integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj"
      crossorigin="anonymous"
    ></script>
    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct"
      crossorigin="anonymous"
    ></script>
  </body>
</html>
